[Rainmeter]
Author=Gadj


;=============================
;VARIABLES
;=============================


[Variables]

URL=http://7themes.su/news/rss/

TITLE=7Themes.su





Substitute="&amp;":"&","&quot;":"","&Quot;":"","&lt;br&gt;":"","![CDATA[":"","]]":"","...":"","<":"",">":"","/PRE&gt;":"","PRE&gt;":"","&lt;":"","&#39;":"'"

;=============================
 [Styles]
;=============================

[Style1]
X=0
Y=0
FontSize=25
FontColor=255,255,255
FontFace=Denton
AntiAlias=1


[Style2]
X=0
Y=0
FontSize=12
FontColor=68,190,241
FontFace=Denton
AntiAlias=1


[Style3]
X=0
Y=0
FontSize=10
FontColor=241,68,68
FontFace=Denton
AntiAlias=1

[Style4]
X=0
Y=0
FontSize=16
FontColor=255,255,255
FontFace=Denton
AntiAlias=1


;====================================
;[Graphics]
;====================================


[Background]
Meter=IMAGE
X=5
Y=45
H=2
W=231
SolidColor=255,255,255,50
AntiAlias=1
Hidden=1
Group=Group1

[Background2]
Meter=IMAGE
X=5
Y=47
H=190
W=2
SolidColor=255,255,255,50
AntiAlias=1
Hidden=1
Group=Group1

[Background3]
Meter=IMAGE
X=234
Y=47
H=190
W=2
SolidColor=255,255,255,50
AntiAlias=1
Hidden=1
Group=Group1

[Background4]
Meter=IMAGE
X=7
Y=235
H=2
W=227
SolidColor=255,255,255,50
AntiAlias=1
Hidden=1
Group=Group1


[Text]
Meter=String
MeterStyle=Style1
Text="RSS"
X=65
Y=2


[Title]
Meter=STRING
MeterStyle=Style4
X=35
Y=50
Text=#TITLE#
Hidden=1
Group=Group1
LeftMouseDownAction=!execute ["http://7themes.su/"]



;=============================
;MEASURES 
;=============================



[RSS]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=#URL#
RegExp="(?siU)<title>(.*)<\/title>(?(?=.*<lastBuildDate>(.*)<\/lastBuildDate>))(?(?=.*<link>(.*)<\/link>.)).*<description>(.*)<\/description>(?:(?:.*<url>(.*)<\/url>)|.*).*<item(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)"
UpdateRate=60
StringIndex=1

[MeasureRSS1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=6
Substitute=#Substitute#

[MeasureLink1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=8
Substitute="&amp;":"&"

---

[MeasureRSS2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=10
Substitute=#Substitute#

[MeasureLink2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=12
Substitute="&amp;":"&"

---

[MeasureRSS3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=14
Substitute=#Substitute#

[MeasureLink3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=16
Substitute="&amp;":"&"

---

[MeasureRSS4]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=18
Substitute=#Substitute#

[MeasureLink4]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndeX=20
Substitute="&amp;":"&"

---

[MeasureRSS5]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=22
Substitute=#Substitute#

[MeasureLink5]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=24
Substitute="&amp;":"&"

---

[MeasureRSS6]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=26
Substitute=#Substitute#

[MeasureLink6]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=28
Substitute="&amp;":"&"

---

[MeasureRSS7]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=30
Substitute=#Substitute#

[MeasureLink7]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=32
Substitute="&amp;":"&"

---

[MeasureRSS8]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=34
Substitute=#Substitute#

[MeasureLink8]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS]
StringIndex=36
Substitute="&amp;":"&"



;=============================
;METERS 
;=============================


[Feed1]
Meter=STRING
MeasureName=MeasureRSS1
X=30
Y=80
H=15
W=200
ClipString=1
MeterStyle=Style2
Hidden=1
Group=Group1
MouseOverAction=!execute [!RainmeterShowMeter Link1][!RainmeterHideMeter Feed1][!RainmeterRedraw]

[Link1]
Meter=STRING
MeasureName=MeasureRSS1
X=r
Y=r
H=15
W=200
ClipString=1
MeterStyle=Style3
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed1][!RainmeterHideMeter Link1][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink1]



[Feed2]
Meter=STRING
MeasureName=MeasureRSS2
MeasureName2=MeasureLink2
X=30
Y=20r
H=15
W=200
ClipString=1
MeterStyle=Style2
Hidden=1
Group=Group1
MouseOverAction=!execute [!RainmeterShowMeter Link2][!RainmeterHideMeter Feed2][!RainmeterRedraw]

[Link2]
Meter=STRING
MeasureName=MeasureRSS2
X=r
Y=r
H=15
W=200
ClipString=1
MeterStyle=Style3
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed2][!RainmeterHideMeter Link2][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink2]



[Feed3]
Meter=STRING
MeasureName=MeasureRSS3
MeasureName2=MeasureLink3
X=30
Y=20r
H=15
W=200
ClipString=1
MeterStyle=Style2
Hidden=1
Group=Group1
MouseOverAction=!execute [!RainmeterShowMeter Link3][!RainmeterHideMeter Feed3][!RainmeterRedraw]

[Link3]
Meter=STRING
MeasureName=MeasureRSS3
X=r
Y=r
H=15
W=200
ClipString=1
MeterStyle=Style3
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed3][!RainmeterHideMeter Link3][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink3]




[Feed4]
Meter=STRING
MeasureName=MeasureRSS4
MeasureName2=MeasureLink4
X=30
Y=20r
H=15
W=200
ClipString=1
MeterStyle=Style2
Hidden=1
Group=Group1
MouseOverAction=!execute [!RainmeterShowMeter Link4][!RainmeterHideMeter Feed4][!RainmeterRedraw]

[Link4]
Meter=STRING
MeasureName=MeasureRSS4
X=r
Y=r
H=15
W=200
ClipString=1
MeterStyle=Style3
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed4][!RainmeterHideMeter Link4][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink4]



[Feed5]
Meter=STRING
MeasureName=MeasureRSS5
MeasureName2=MeasureLink5
X=30
Y=20r
H=15
W=200
ClipString=1
MeterStyle=Style2
Hidden=1
Group=Group1
MouseOverAction=!execute [!RainmeterShowMeter Link5][!RainmeterHideMeter Feed5][!RainmeterRedraw]

[Link5]
Meter=STRING
MeasureName=MeasureRSS5
X=r
Y=r
H=15
W=200
ClipString=1
MeterStyle=Style3
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed5][!RainmeterHideMeter Link5][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink5]



[Feed6]
Meter=STRING
MeasureName=MeasureRSS6
MeasureName2=MeasureLink6
X=30
Y=20r
H=15
W=200
ClipString=1
MeterStyle=Style2
Hidden=1
Group=Group1
MouseOverAction=!execute [!RainmeterShowMeter Link6][!RainmeterHideMeter Feed6][!RainmeterRedraw]

[Link6]
Meter=STRING
MeasureName=MeasureRSS6
X=r
Y=r
H=15
W=200
ClipString=1
MeterStyle=Style3
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed6][!RainmeterHideMeter Link6][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink6]



[Feed7]
Meter=STRING
MeasureName=MeasureRSS7
MeasureName2=MeasureLink7
X=30
Y=20r
H=15
W=200
ClipString=1
MeterStyle=Style2
Hidden=1
Group=Group1
MouseOverAction=!execute [!RainmeterShowMeter Link7][!RainmeterHideMeter Feed7][!RainmeterRedraw]

[Link7]
Meter=STRING
MeasureName=MeasureRSS7
X=r
Y=r
H=15
W=200
ClipString=1
StringStyle=NORMAL
MeterStyle=Style3
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed7][!RainmeterHideMeter Link7][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink7]


[Feed8]
Meter=STRING
MeasureName=MeasureRSS8
MeasureName2=MeasureLink8
X=30
Y=20r
H=15
W=200
ClipString=1
MeterStyle=Style2
Hidden=1
Group=Group1
MouseOverAction=!execute [!RainmeterShowMeter Link8][!RainmeterHideMeter Feed8][!RainmeterRedraw]

[Link8]
Meter=STRING
MeasureName=MeasureRSS8
X=r
Y=r
H=15
W=200
ClipString=1
MeterStyle=Style3
Hidden=1
MouseLeaveAction=!execute [!RainmeterShowMeter Feed8][!RainmeterHideMeter Link8][!RainmeterRedraw]
LeftMouseDownAction=[MeasureLink8]

;=====================================================
;[Lines]
;=====================================================

[Line1]
Meter=IMAGE
X=5
Y=0
H=3
W=231
SolidColor=255,255,255,50

[Line2]
Meter=IMAGE
X=5
Y=3
H=37
W=3
SolidColor=255,255,255,50


[Line3]
Meter=IMAGE
X=233
Y=3
H=37
W=3
SolidColor=255,255,255,50


[Line4]
Meter=IMAGE
X=8
Y=37
H=3
W=225
SolidColor=255,255,255,50

;=====================================================
;[button]
;=====================================================

[button]
Meter=IMAGE
X=14
Y=22
H=10
W=24
ImageName=m.png
AntiAlias=1
LeftMouseUpAction=!RainmeterToggleMeterGroup Group1


